---
title: Delete a Pages deployment
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Pages](https://developers.cloudflare.com/api/python/resources/pages)

[Projects](https://developers.cloudflare.com/api/python/resources/pages/subresources/projects)

[Deployments](https://developers.cloudflare.com/api/python/resources/pages/subresources/projects/subresources/deployments)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a Pages deployment

pages.projects.deployments.delete(strdeployment\_id, DeploymentDeleteParams\*\*kwargs) -> object

DELETE/accounts/{account\_id}/pages/projects/{project\_name}/deployments/{deployment\_id}

Remove a deployment from a Cloudflare Pages project.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pages Write`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20pages.projects.deployments%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

project\_name: str

Name of the Pages project. Must begin with a lowercase letter or digit and contain only lowercase letters, digits, and hyphens.

[Link to this property](<#(resource)%20pages.projects.deployments%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20project_name%20%3E%20(schema)>)

deployment\_id: str

UUID of the Pages deployment, as returned by deployment list or create operations.

formatuuid

[Link to this property](<#(resource)%20pages.projects.deployments%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20deployment_id%20%3E%20(schema)>)

force: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/pages/subresources/projects/subresources/deployments/methods/delete#(resource)%20pages.projects.deployments%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20force%20%3E%20(schema)>)]

Allow deletion when a non-production deployment has an active alias.

[Link to this property](<#(resource)%20pages.projects.deployments%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20force%20%3E%20(schema)>)

##### ReturnsExpand Collapse

object

[Link to this property](<#(resource)%20pages.projects.deployments%20%3E%20(method)%20delete%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Delete a Pages deployment

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
deployment = client.pages.projects.deployments.delete(
    deployment_id="f64788e9-fccd-4d4a-a28a-cb84f88f6e12",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    project_name="this-is-my-project-01",
)
print(deployment)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```